# $Id: perl-Config-Record.spec 5976 2007-11-09 20:21:26Z dag $
# Authority: dries
# Upstream: Daniel P. Berrangé <dan$berrange,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Config-Record

Summary: Configuration file access
Name: perl-Config-Record
Version: 1.1.1
Release: 1.%{releasetagsuffix}
License: GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Config-Record/

Source: http://www.cpan.org/modules/by-module/Config/Config-Record-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS CHANGES README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/Config/
%{perl_vendorlib}/Config/Record.pm
%{perl_vendorlib}/Config/Record.pod

%changelog
* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 1.1.1-1 #5976
- Updated to release 1.1.1.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 1.1.0-1.2
- Rebuild for Fedora Core 5.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 1.1.0-1
- Updated to release 1.1.0.

* Mon Dec 20 2004 Dries Verachtert <dries@ulyssis.org> - 1.0.5
- Initial package.
